      FUNCTION SIGDIG ( X, NDIG )
C
C        FIND THE VALUE WITH A GIVEN NUMBER
C        OF SIGNIFICANT DIGITS 
C
C         X      INPUT VALUE   
C         NDIG   NUMBER OF DIGITS
C
$INCLUDE:'WRDSIZ.INC'
C
C
      XVAL = X
      IF (NDIG .LE. 0 ) GOTO 900
      IF (XVAL .EQ. 0.0 ) GOTO 900
C
      SIGN = 1.0
      IF ( XVAL.LT. 0.0 ) SIGN = - 1.0
C
      XVALA = ABS ( XVAL )
      IF ( XVALA .LE. 1.0E-30 ) GOTO 900
C
C       HAVE A NUMBER CAN HANDLE 
C       ONLY ALLOW 9 SIG FIGS AS INTEGER OVERFLOW
C       CAN OTHERWISE OCCUR
C
      NDIGI= NDIG
      IF ( NDIGI .GT.  9 ) NDIGI = 9  
C
C
C      FIRST GET NUMBER INTO LOG OF NUMBER 1 - 10
C      THEN ADJUST THIS UP BY SIG DIGITS AND USE
C      INTEGERS TO TRUNCATE/ROUND
C
      A =  ALOG10 ( XVALA )
      NA=  A
      IF ( A.GT.0.0 ) NA = NA + 1
C
      A1 =  A - NA
C
      ANDIG = A1 + NDIGI
      NX    =  10.0**( ANDIG )  + 0.5
C
      RX    =  NX
      SCALE =  10.0 ** ( NDIGI - NA )
      XVAL  =  SIGN * RX / SCALE
C
C
900   CONTINUE
C
      SIGDIG = XVAL
C
      RETURN
      END
