C==BEG==CONST.INC
C
C     CONSTANTS COMMONS
C
C     MATH
C           PI = 3.14...
C           TPI= 2*PI
C           DTR= PI/180   DEG TO RADIANS
C           RTD= 180/PI   RADIANS TO DEGREES
C           SQRTPI = SQUARE ROOT ( PI )
C           ELOGS  = E = BASE OF NATURAL LOGS
C           SQRT2  = SQUARE ROOT ( 2 ) 14 PLACES
C           SQRT10 = SQUARE ROOT ( 10 )  9 PLACES-ABOUT
C           
C   GEODETIC CONSTANTS
C              RE  = RADIUS EARTH AT EQUATOR=SEMI-MAJOR AXIS
C              FETH= FLATTING CONSTANT ( ABOUT 1/298 )
C              EETH= ECCENTRICTY OF EARTH FIGURE
C              ESETH= EETH**2
C              WE   = ROTATION RATE EARTH  RAD/SEC
C              GMMKS= G*M-EARTH IN MKS UNITS ( M**3/S**2 )
C              GMKMKS=G*M  IN KM**3/S**2
C              CMPS  = SPEED LIGHT IN M/S
C              CKMPS = SPEEK LIGHT IN KM/S 
C
      COMMON /MTHCON/ PI,TPI,DTR,RTD,SQRTPI,ELOGS,SQRT2,SQRT10
      COMMON /GEOCON/ RE,FETH,EETH,ESETH,WE,GMMKS,GMKMKS,CMPS,CKMPS
C
C
C
C==END==CONST.INC
