$TITLE:'CONVERT H M S TO/FROM DECIMAL VALUES ETC'
      SUBROUTINE SEC T HMS (TSEC,IHRS,IMIN,ISEC)
C 
C     CONVERSION OF TIME IN SECONDS TO HOURS,MINUTES, AND SECONDS 
C 
$INCLUDE:'WRDSIZ.INC'
C
C         12/6/92 JRC FIXED  ...  PROBLEMS EARLY IN DAY EVEN MIN'S
C
C    INPUT:
C           TSEC = SECONDS OF DAY
C
C    OUTPUT:
C              ( ALL INTEGERS )
C              IHRS = HOURS OF DAY
C              IMIN = MINUTES INTO HOUR
C              ISEC = SECONDS INTO MINUTE
C
      THRS = TSEC/3600.D0 
      IHRS = THRS 
      SECL = TSEC - IHRS * 3600.0D0
      IMIN = SECL / 60.0D0
      SECL = SECL - IMIN * 60.0D0
      ISEC = SECL 
C
      IF ( ISEC.GE.60 ) THEN
          ISEC = ISEC - 60
          IMIN = IMIN + 1
      ENDIF
C
      IF ( IMIN.GE.60 ) THEN
          IMIN = IMIN - 60
          IHRS = IHRS + 1
      ENDIF
C
      RETURN
      END
$PAGE
      SUBROUTINE HMS T SEC (TSEC,IHRS,IMIN,ISEC)
C 
$INCLUDE:'WRDSIZ.INC'
C
C 
C      CONVERSION OF TIME IN HOURS,MINUTES, AND SECONDS TO SECONDS
C 
C
C    INTEGER HR, MIN, SEC TO SEC OF DAY
C    INVERSE OF SEC T HMS -- AND SOME CALLING ORDER
C
C    INPUT:
C              IHRS = HOURS OF DAY
C              IMIN = MIN OF HOUR
C              ISEC = SEC OF MIN        
C
C    OUTPUT:
C              TSEC = SEC OF DAY
C
      SSEC = ISEC 
      MSEC = IMIN * 60.D0
      HSEC = IHRS * 60.D0 * 60.D0 
      TSEC = HSEC + MSEC + SSEC 
C
      RETURN
      END 
